Package classycle

# Class CommandLine

java.lang.Object
classycle.CommandLine

Direct Known Subclasses:
  `AnalyserCommandLine`, `DependencyCheckerCommandLine`

public abstract class CommandLine extends Object

Author:
  Franz-Josef Elmer

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String[]`
`_classFiles`
`protected StringPatternSequence`
`_pattern`
`protected StringPattern`
`_reflectionPattern`
`protected boolean`
`_valid`

## Constructor Summary

Constructors
Constructor
Description
`CommandLine(String[] args)`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getClassFiles()`
Returns all class file descriptors (i.e., class files, directorys, jar files, or zip files).
`StringPattern`
`getPattern()`
Returns the pattern fully qualified class names have to match.
`StringPattern`
`getReflectionPattern()`
Returns the reflection pattern as extracted from the option `-reflectionPattern`.
`String`
`getUsage()`
Returns the usage of correct command line arguments and options.
`protected void`
`handleOption(String argument)`
`boolean`
`isMergeInnerClasses()`
Returns `true` if the command line option `-mergeInnerClasses` occured.
`boolean`
`isValid()`
Returns `true` if the command line arguments and options are valid.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### _valid

protected boolean _valid

### _pattern

protected StringPatternSequence _pattern

### _reflectionPattern

protected StringPattern _reflectionPattern

### _classFiles

protected String[] _classFiles

## Constructor Details

### CommandLine

public CommandLine(String[] args)

## Method Details

### handleOption

protected void handleOption(String argument)

### getClassFiles

public String[] getClassFiles()
Returns all class file descriptors (i.e., class files, directorys, jar files, or zip files).

### getPattern

public StringPattern getPattern()
Returns the pattern fully qualified class names have to match. The pattern is based on the options `-includingClasses` and `-excludingClasses`. If `-includingClasses` is missing every classes is included which is not excluded. If `-excludingClasses` is missing no class is excluded.

### getReflectionPattern

public StringPattern getReflectionPattern()
Returns the reflection pattern as extracted from the option `-reflectionPattern`.

### isValid

public boolean isValid()
Returns `true` if the command line arguments and options are valid.

### isMergeInnerClasses

public boolean isMergeInnerClasses()
Returns `true` if the command line option `-mergeInnerClasses` occured.

### getUsage

public String getUsage()
Returns the usage of correct command line arguments and options.